# keyclic_sdk_api
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Dart package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.30.1-dev.4c79a75c6f
- Build package: io.swagger.codegen.languages.DartClientCodegen
For more information, please visit [https://keyclic.com](https://keyclic.com)

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: keyclic_sdk_api
version: 2.30.2-beta2
description: The keyclic_sdk_api package is an implementation of the Keyclic API.
dependencies:
  keyclic_sdk_api:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  keyclic_sdk_api:
    path: /path/to/keyclic_sdk_api
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:keyclic_sdk_api/api.dart';


var api_instance = ApplicationApi();
var xKeyclicApp = xKeyclicApp_example; // String | 
var application = ; // String | The identifier of the resource.
var acceptLanguage = acceptLanguage_example; // String | 
var xDateTime = 2013-10-20T19:20:30+01:00; // DateTime | 
var xKeyclicAppPlatform = xKeyclicAppPlatform_example; // String | 
var xKeyclicAppVersion = xKeyclicAppVersion_example; // String | 

try {
    var result = api_instance.getApplication(xKeyclicApp, application, acceptLanguage, xDateTime, xKeyclicAppPlatform, xKeyclicAppVersion);
    print(result);
} catch (e) {
    print("Exception when calling ApplicationApi->getApplication: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *https://api.keyclic.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApplicationApi* | [**getApplication**](docs//ApplicationApi.md#getapplication) | **GET** /applications/{application} | Retrieve one Application resource.
*ArticleApi* | [**getArticle**](docs//ArticleApi.md#getarticle) | **GET** /articles/{article} | Retrieve one Article resource.
*AssignmentApi* | [**getAssignment**](docs//AssignmentApi.md#getassignment) | **GET** /assignments/{assignment} | Retrieve one Assignment resource.
*AssignmentApi* | [**postAssignment**](docs//AssignmentApi.md#postassignment) | **POST** /assignments | Create one Assignment resource.
*BookmarkApi* | [**cgetBookmarks**](docs//BookmarkApi.md#cgetbookmarks) | **GET** /bookmarks | Retrieve all Bookmark resources.
*BookmarkApi* | [**deleteBookmark**](docs//BookmarkApi.md#deletebookmark) | **DELETE** /bookmarks/{bookmark} | Remove one Bookmark resource.
*BookmarkApi* | [**getBookmark**](docs//BookmarkApi.md#getbookmark) | **GET** /bookmarks/{bookmark} | Retrieve one Bookmark resource.
*BookmarkApi* | [**postBookmark**](docs//BookmarkApi.md#postbookmark) | **POST** /bookmarks | Create one Bookmark resource.
*BusinessActivityApi* | [**cgetBusinessActivities**](docs//BusinessActivityApi.md#cgetbusinessactivities) | **GET** /business-activities | Retrieve all BusinessActivity resources.
*BusinessActivityApi* | [**getBusinessActivity**](docs//BusinessActivityApi.md#getbusinessactivity) | **GET** /business-activities/{businessActivity} | Retrieve one BusinessActivity resource.
*BusinessActivityApi* | [**getSchemaByBusinessActivity**](docs//BusinessActivityApi.md#getschemabybusinessactivity) | **GET** /businessactivities/{businessActivity}/schema | Retrieve one Schema resource.
*CategoryApi* | [**cgetCategories**](docs//CategoryApi.md#cgetcategories) | **GET** /categories | Retrieve all Category resources.
*CategoryApi* | [**deleteCategory**](docs//CategoryApi.md#deletecategory) | **DELETE** /categories/{category} | Remove one Category resource.
*CategoryApi* | [**getCategory**](docs//CategoryApi.md#getcategory) | **GET** /categories/{category} | Retrieve one Category resource.
*CategoryApi* | [**patchCategory**](docs//CategoryApi.md#patchcategory) | **PATCH** /categories/{category} | Edit one Category resource.
*CategoryApi* | [**postCategory**](docs//CategoryApi.md#postcategory) | **POST** /categories | Create one Category resource.
*ConfigurationApi* | [**getConfiguration**](docs//ConfigurationApi.md#getconfiguration) | **GET** /configurations/{configuration} | Retrieve one Configuration resource.
*ConnectorApi* | [**postConnectorByConnectorAndWorkflow**](docs//ConnectorApi.md#postconnectorbyconnectorandworkflow) | **POST** /connectors/{connector}/workflows/{workflow}/runs | Create one Connector resource.
*ContributionApi* | [**cgetContributions**](docs//ContributionApi.md#cgetcontributions) | **GET** /contributions | Retrieve all Contribution resources.
*ContributionApi* | [**getContribution**](docs//ContributionApi.md#getcontribution) | **GET** /contributions/{contribution} | Retrieve one Contribution resource.
*ContributionApi* | [**postContribution**](docs//ContributionApi.md#postcontribution) | **POST** /contributions | Create one Contribution resource.
*DeviceApi* | [**deleteDevice**](docs//DeviceApi.md#deletedevice) | **DELETE** /devices/{device} | Remove one Device resource.
*DeviceApi* | [**getDevice**](docs//DeviceApi.md#getdevice) | **GET** /devices/{device} | Retrieve one Device resource.
*DeviceApi* | [**postDevice**](docs//DeviceApi.md#postdevice) | **POST** /devices | Create one Device resource.
*DigitalDocumentApi* | [**cgetFeedbackByDigitalDocument**](docs//DigitalDocumentApi.md#cgetfeedbackbydigitaldocument) | **GET** /digital-documents/{digitalDocument}/feedbacks | Retrieve all Feedback resources.
*DigitalDocumentApi* | [**deleteDigitalDocument**](docs//DigitalDocumentApi.md#deletedigitaldocument) | **DELETE** /digital-documents/{digitalDocument} | Remove one DigitalDocument resource.
*DigitalDocumentApi* | [**getDigitalDocument**](docs//DigitalDocumentApi.md#getdigitaldocument) | **GET** /digital-documents/{digitalDocument} | Retrieve one DigitalDocument resource.
*DigitalDocumentApi* | [**patchDigitalDocument**](docs//DigitalDocumentApi.md#patchdigitaldocument) | **PATCH** /digital-documents/{digitalDocument} | Edit one DigitalDocument resource.
*DigitalDocumentApi* | [**postDigitalDocument**](docs//DigitalDocumentApi.md#postdigitaldocument) | **POST** /digital-documents | Create one DigitalDocument resource.
*DispatcherApi* | [**cgetRulesByDispatcher**](docs//DispatcherApi.md#cgetrulesbydispatcher) | **GET** /dispatchers/{dispatcher}/rules | Retrieve all Rule resources.
*DispatcherApi* | [**getDispatcher**](docs//DispatcherApi.md#getdispatcher) | **GET** /dispatchers/{dispatcher} | Retrieve one Dispatcher resource.
*DocumentApi* | [**deleteDocument**](docs//DocumentApi.md#deletedocument) | **DELETE** /documents/{document} | Remove one Document resource.
*DocumentApi* | [**getDocument**](docs//DocumentApi.md#getdocument) | **GET** /documents/{document} | Retrieve one Document resource.
*DocumentApi* | [**patchDocument**](docs//DocumentApi.md#patchdocument) | **PATCH** /documents/{document} | Edit one Document resource.
*DocumentApi* | [**postWorkflowByDocument**](docs//DocumentApi.md#postworkflowbydocument) | **POST** /documents/{document}/workflow | Create one Workflow resource.
*ExportApi* | [**postExport**](docs//ExportApi.md#postexport) | **POST** /exports | Create one Export resource.
*ExternalServiceApi* | [**deleteExternalService**](docs//ExternalServiceApi.md#deleteexternalservice) | **DELETE** /external-services/{externalService} | Remove one ExternalService resource.
*ExternalServiceApi* | [**getExternalService**](docs//ExternalServiceApi.md#getexternalservice) | **GET** /external-services/{externalService} | Retrieve one ExternalService resource.
*ExternalServiceApi* | [**patchExternalService**](docs//ExternalServiceApi.md#patchexternalservice) | **PATCH** /external-services/{externalService} | Edit one ExternalService resource.
*ExternalServiceApi* | [**postExternalService**](docs//ExternalServiceApi.md#postexternalservice) | **POST** /external-services | Create one ExternalService resource.
*FeedApi* | [**cgetActivitiesByFeed**](docs//FeedApi.md#cgetactivitiesbyfeed) | **GET** /feeds/{feed} | Retrieve all Activity resources.
*FeedApi* | [**postReadByFeedAndGroup**](docs//FeedApi.md#postreadbyfeedandgroup) | **POST** /feeds/{feed}/read/{group} | Create one Read resource.
*FeedbackApi* | [**cgetCommentsByFeedback**](docs//FeedbackApi.md#cgetcommentsbyfeedback) | **GET** /feedbacks/{feedback}/comments | Retrieve all Comment resources.
*FeedbackApi* | [**cgetFeedback**](docs//FeedbackApi.md#cgetfeedback) | **GET** /feedbacks | Retrieve all Feedback resources.
*FeedbackApi* | [**deleteFeedback**](docs//FeedbackApi.md#deletefeedback) | **DELETE** /feedbacks/{feedback} | Remove one Feedback resource.
*FeedbackApi* | [**getFeedback**](docs//FeedbackApi.md#getfeedback) | **GET** /feedbacks/{feedback} | Retrieve one Feedback resource.
*FeedbackApi* | [**getTrackingByFeedback**](docs//FeedbackApi.md#gettrackingbyfeedback) | **GET** /feedbacks/{feedback}/tracking | Retrieve one Tracking resource.
*FeedbackApi* | [**postCommentByFeedback**](docs//FeedbackApi.md#postcommentbyfeedback) | **POST** /feedbacks/{feedback}/comments | Create one Comment resource.
*FeedbackApi* | [**postImageByFeedback**](docs//FeedbackApi.md#postimagebyfeedback) | **POST** /feedbacks/{feedback}/images | Create one Image resource.
*FeedbackApi* | [**postIssue**](docs//FeedbackApi.md#postissue) | **POST** /feedbacks/issues | Create one Issue resource.
*FeedbackApi* | [**postWorkflowByFeedback**](docs//FeedbackApi.md#postworkflowbyfeedback) | **POST** /feedbacks/{feedback}/workflow | Create one Workflow resource.
*InternalServiceApi* | [**cgetMembersByInternalService**](docs//InternalServiceApi.md#cgetmembersbyinternalservice) | **GET** /internal-services/{internalService}/members | Retrieve all Member resources.
*InternalServiceApi* | [**deleteInternalService**](docs//InternalServiceApi.md#deleteinternalservice) | **DELETE** /internal-services/{internalService} | Remove one InternalService resource.
*InternalServiceApi* | [**deleteMemberByInternalServiceAndMember**](docs//InternalServiceApi.md#deletememberbyinternalserviceandmember) | **DELETE** /internal-services/{internalService}/members/{member} | Remove one Member resource.
*InternalServiceApi* | [**getInternalService**](docs//InternalServiceApi.md#getinternalservice) | **GET** /internal-services/{internalService} | Retrieve one InternalService resource.
*InternalServiceApi* | [**patchInternalService**](docs//InternalServiceApi.md#patchinternalservice) | **PATCH** /internal-services/{internalService} | Edit one InternalService resource.
*InternalServiceApi* | [**postInternalService**](docs//InternalServiceApi.md#postinternalservice) | **POST** /internal-services | Create one InternalService resource.
*InternalServiceApi* | [**postMemberByInternalService**](docs//InternalServiceApi.md#postmemberbyinternalservice) | **POST** /internal-services/{internalService}/members | Create one Member resource.
*InvitationApi* | [**deleteInvitation**](docs//InvitationApi.md#deleteinvitation) | **DELETE** /invitations/{invitation} | Remove one Invitation resource.
*InvitationApi* | [**getInvitation**](docs//InvitationApi.md#getinvitation) | **GET** /invitations/{invitation} | Retrieve one Invitation resource.
*InvitationApi* | [**postInvitation**](docs//InvitationApi.md#postinvitation) | **POST** /invitations | Create one Invitation resource.
*KnowledgeBaseApi* | [**cgetArticlesByKnowledgeBase**](docs//KnowledgeBaseApi.md#cgetarticlesbyknowledgebase) | **GET** /knowledge-bases/{knowledgeBase}/articles | Retrieve all Article resources.
*KnowledgeBaseApi* | [**cgetSectionsByKnowledgeBase**](docs//KnowledgeBaseApi.md#cgetsectionsbyknowledgebase) | **GET** /knowledge-bases/{knowledgeBase}/sections | Retrieve all Section resources.
*KnowledgeBaseApi* | [**getKnowledgeBase**](docs//KnowledgeBaseApi.md#getknowledgebase) | **GET** /knowledge-bases/{knowledgeBase} | Retrieve one KnowledgeBase resource.
*MarkerApi* | [**deleteMarker**](docs//MarkerApi.md#deletemarker) | **DELETE** /markers/{marker} | Remove one Marker resource.
*MarkerApi* | [**getMarker**](docs//MarkerApi.md#getmarker) | **GET** /markers/{marker} | Retrieve one Marker resource.
*MarkerApi* | [**postMarker**](docs//MarkerApi.md#postmarker) | **POST** /markers | Create one Marker resource.
*MemberApi* | [**deleteMember**](docs//MemberApi.md#deletemember) | **DELETE** /members/{member} | Remove one Member resource.
*MemberApi* | [**getMember**](docs//MemberApi.md#getmember) | **GET** /members/{member} | Retrieve one Member resource.
*MemberApi* | [**patchMember**](docs//MemberApi.md#patchmember) | **PATCH** /members/{member} | Edit one Member resource.
*MemberApi* | [**postMember**](docs//MemberApi.md#postmember) | **POST** /members | Create one Member resource.
*NoteApi* | [**deleteNote**](docs//NoteApi.md#deletenote) | **DELETE** /notes/{note} | Remove one Note resource.
*NoteApi* | [**getNote**](docs//NoteApi.md#getnote) | **GET** /notes/{note} | Retrieve one Note resource.
*NoteApi* | [**patchNote**](docs//NoteApi.md#patchnote) | **PATCH** /notes/{note} | Edit one Note resource.
*NoteApi* | [**postNote**](docs//NoteApi.md#postnote) | **POST** /notes | Create one Note resource.
*OccupantApi* | [**deleteOccupant**](docs//OccupantApi.md#deleteoccupant) | **DELETE** /occupants/{occupant} | Remove one Occupant resource.
*OccupantApi* | [**getOccupant**](docs//OccupantApi.md#getoccupant) | **GET** /occupants/{occupant} | Retrieve one Occupant resource.
*OccupantApi* | [**postOccupant**](docs//OccupantApi.md#postoccupant) | **POST** /occupants | Create one Occupant resource.
*OperationApi* | [**cgetAssignmentsByOperation**](docs//OperationApi.md#cgetassignmentsbyoperation) | **GET** /operations/{operation}/assignments | Retrieve all Assignment resources.
*OperationApi* | [**cgetCommentsByOperation**](docs//OperationApi.md#cgetcommentsbyoperation) | **GET** /operations/{operation}/comments | Retrieve all Comment resources.
*OperationApi* | [**deleteImageByOperationAndImage**](docs//OperationApi.md#deleteimagebyoperationandimage) | **DELETE** /operations/{operation}/images/{image} | Remove one Image resource.
*OperationApi* | [**deleteOperation**](docs//OperationApi.md#deleteoperation) | **DELETE** /operations/{operation} | Remove one Operation resource.
*OperationApi* | [**getOperation**](docs//OperationApi.md#getoperation) | **GET** /operations/{operation} | Retrieve one Operation resource.
*OperationApi* | [**getTrackingByOperation**](docs//OperationApi.md#gettrackingbyoperation) | **GET** /operations/{operation}/tracking | Retrieve one Tracking resource.
*OperationApi* | [**patchOperation**](docs//OperationApi.md#patchoperation) | **PATCH** /operations/{operation} | Edit one Operation resource.
*OperationApi* | [**postAssignByOperation**](docs//OperationApi.md#postassignbyoperation) | **POST** /operations/{operation}/assign | Create one Assign resource.
*OperationApi* | [**postCommentByOperation**](docs//OperationApi.md#postcommentbyoperation) | **POST** /operations/{operation}/comments | Create one Comment resource.
*OperationApi* | [**postImageByOperation**](docs//OperationApi.md#postimagebyoperation) | **POST** /operations/{operation}/images | Create one Image resource.
*OperationApi* | [**postOperation**](docs//OperationApi.md#postoperation) | **POST** /operations | Create one Operation resource.
*OperationApi* | [**postSignByOperation**](docs//OperationApi.md#postsignbyoperation) | **POST** /operations/{operation}/sign | Create one Sign resource.
*OperationApi* | [**postWorkflowByOperation**](docs//OperationApi.md#postworkflowbyoperation) | **POST** /operations/{operation}/workflow | Create one Workflow resource.
*OrganizationApi* | [**cgetCategoriesByOrganization**](docs//OrganizationApi.md#cgetcategoriesbyorganization) | **GET** /organizations/{organization}/categories | Retrieve all Category resources.
*OrganizationApi* | [**cgetDocumentsByOrganization**](docs//OrganizationApi.md#cgetdocumentsbyorganization) | **GET** /organizations/{organization}/documents | Retrieve all Document resources.
*OrganizationApi* | [**cgetExternalServicesByOrganization**](docs//OrganizationApi.md#cgetexternalservicesbyorganization) | **GET** /organizations/{organization}/external-services | Retrieve all ExternalService resources.
*OrganizationApi* | [**cgetInternalServicesByOrganization**](docs//OrganizationApi.md#cgetinternalservicesbyorganization) | **GET** /organizations/{organization}/internal-services | Retrieve all InternalService resources.
*OrganizationApi* | [**cgetMembersByOrganization**](docs//OrganizationApi.md#cgetmembersbyorganization) | **GET** /organizations/{organization}/members | Retrieve all Member resources.
*OrganizationApi* | [**cgetOccupantsByOrganization**](docs//OrganizationApi.md#cgetoccupantsbyorganization) | **GET** /organizations/{organization}/occupants | Retrieve all Occupant resources.
*OrganizationApi* | [**cgetOperationsByOrganization**](docs//OrganizationApi.md#cgetoperationsbyorganization) | **GET** /organizations/{organization}/operations | Retrieve all Operation resources.
*OrganizationApi* | [**cgetOrganizations**](docs//OrganizationApi.md#cgetorganizations) | **GET** /organizations | Retrieve all Organization resources.
*OrganizationApi* | [**cgetPlacesByOrganization**](docs//OrganizationApi.md#cgetplacesbyorganization) | **GET** /organizations/{organization}/places | Retrieve all Place resources.
*OrganizationApi* | [**cgetPublicationsByOrganization**](docs//OrganizationApi.md#cgetpublicationsbyorganization) | **GET** /organizations/{organization}/publications | Retrieve all Publication resources.
*OrganizationApi* | [**cgetReportsByOrganization**](docs//OrganizationApi.md#cgetreportsbyorganization) | **GET** /organizations/{organization}/reports | Retrieve all Report resources.
*OrganizationApi* | [**cgetReviewRequestsByOrganization**](docs//OrganizationApi.md#cgetreviewrequestsbyorganization) | **GET** /organizations/{organization}/review-requests | Retrieve all ReviewRequest resources.
*OrganizationApi* | [**cgetReviewsByOrganization**](docs//OrganizationApi.md#cgetreviewsbyorganization) | **GET** /organizations/{organization}/reviews | Retrieve all Review resources.
*OrganizationApi* | [**cgetServicesByOrganization**](docs//OrganizationApi.md#cgetservicesbyorganization) | **GET** /organizations/{organization}/services | Retrieve all Service resources.
*OrganizationApi* | [**cgetTemplatesByOrganization**](docs//OrganizationApi.md#cgettemplatesbyorganization) | **GET** /organizations/{organization}/templates | Retrieve all Template resources.
*OrganizationApi* | [**getAnalyticByOrganization**](docs//OrganizationApi.md#getanalyticbyorganization) | **GET** /organizations/{organization}/analytics | Retrieve one Analytic resource.
*OrganizationApi* | [**getConfigurationByOrganization**](docs//OrganizationApi.md#getconfigurationbyorganization) | **GET** /organizations/{organization}/configuration | Retrieve one Configuration resource.
*OrganizationApi* | [**getFormByOrganization**](docs//OrganizationApi.md#getformbyorganization) | **GET** /organizations/{organization}/form | Retrieve one Form resource.
*OrganizationApi* | [**getOrganization**](docs//OrganizationApi.md#getorganization) | **GET** /organizations/{organization} | Retrieve one Organization resource.
*OrganizationApi* | [**patchOrganization**](docs//OrganizationApi.md#patchorganization) | **PATCH** /organizations/{organization} | Edit one Organization resource.
*PdfApi* | [**cpostImage**](docs//PdfApi.md#cpostimage) | **POST** /pdf/images | Retrieve all Image resources.
*PersonApi* | [**cgetDocumentsByPerson**](docs//PersonApi.md#cgetdocumentsbyperson) | **GET** /people/{person}/documents | Retrieve all Document resources.
*PersonApi* | [**cgetMembershipsByPerson**](docs//PersonApi.md#cgetmembershipsbyperson) | **GET** /people/{person}/memberships | Retrieve all Membership resources.
*PersonApi* | [**cgetOperationsByPerson**](docs//PersonApi.md#cgetoperationsbyperson) | **GET** /people/{person}/operations | Retrieve all Operation resources.
*PersonApi* | [**cgetReviewRequestsByPerson**](docs//PersonApi.md#cgetreviewrequestsbyperson) | **GET** /people/{person}/review-requests | Retrieve all ReviewRequest resources.
*PersonApi* | [**deletePerson**](docs//PersonApi.md#deleteperson) | **DELETE** /people/{person} | Remove one Person resource.
*PersonApi* | [**getPerson**](docs//PersonApi.md#getperson) | **GET** /people/{person} | Retrieve one Person resource.
*PersonApi* | [**patchPerson**](docs//PersonApi.md#patchperson) | **PATCH** /people/{person} | Edit one Person resource.
*PlaceApi* | [**cgetDocumentsByPlace**](docs//PlaceApi.md#cgetdocumentsbyplace) | **GET** /places/{place}/documents | Retrieve all Document resources.
*PlaceApi* | [**cgetPlaces**](docs//PlaceApi.md#cgetplaces) | **GET** /places | Retrieve all Place resources.
*PlaceApi* | [**cgetPlansByPlace**](docs//PlaceApi.md#cgetplansbyplace) | **GET** /places/{place}/plans | Retrieve all Plan resources.
*PlaceApi* | [**getGeoByPlace**](docs//PlaceApi.md#getgeobyplace) | **GET** /places/{place}/geo | Retrieve one Geo resource.
*PlaceApi* | [**getPlace**](docs//PlaceApi.md#getplace) | **GET** /places/{place} | Retrieve one Place resource.
*PlaceApi* | [**patchPlace**](docs//PlaceApi.md#patchplace) | **PATCH** /places/{place} | Edit one Place resource.
*PlaceApi* | [**postDocumentByPlace**](docs//PlaceApi.md#postdocumentbyplace) | **POST** /places/{place}/documents | Create one Document resource.
*PlaceApi* | [**postPlace**](docs//PlaceApi.md#postplace) | **POST** /places | Create one Place resource.
*PlanApi* | [**deletePlan**](docs//PlanApi.md#deleteplan) | **DELETE** /plans/{plan} | Remove one Plan resource.
*PlanApi* | [**getPlan**](docs//PlanApi.md#getplan) | **GET** /plans/{plan} | Retrieve one Plan resource.
*PlanApi* | [**patchPlan**](docs//PlanApi.md#patchplan) | **PATCH** /plans/{plan} | Edit one Plan resource.
*PlanApi* | [**postPlan**](docs//PlanApi.md#postplan) | **POST** /plans | Create one Plan resource.
*ProcedureApi* | [**cgetSignersByProcedure**](docs//ProcedureApi.md#cgetsignersbyprocedure) | **GET** /procedures/{procedure}/signers | Retrieve all Signer resources.
*ProcedureApi* | [**getProcedure**](docs//ProcedureApi.md#getprocedure) | **GET** /procedures/{procedure} | Retrieve one Procedure resource.
*ProcedureApi* | [**postProcedure**](docs//ProcedureApi.md#postprocedure) | **POST** /procedures | Create one Procedure resource.
*ProcedureApi* | [**postWorkflowByProcedure**](docs//ProcedureApi.md#postworkflowbyprocedure) | **POST** /procedures/{procedure}/workflow | Create one Workflow resource.
*PublicationApi* | [**deletePublication**](docs//PublicationApi.md#deletepublication) | **DELETE** /publications/{publication} | Remove one Publication resource.
*PublicationApi* | [**getPublication**](docs//PublicationApi.md#getpublication) | **GET** /publications/{publication} | Retrieve one Publication resource.
*PublicationApi* | [**postPublication**](docs//PublicationApi.md#postpublication) | **POST** /publications | Create one Publication resource.
*ReportApi* | [**cgetAssignmentsByReport**](docs//ReportApi.md#cgetassignmentsbyreport) | **GET** /reports/{report}/assignments | Retrieve all Assignment resources.
*ReportApi* | [**cgetDocumentsByReport**](docs//ReportApi.md#cgetdocumentsbyreport) | **GET** /reports/{report}/documents | Retrieve all Document resources.
*ReportApi* | [**cgetNotesByTask**](docs//ReportApi.md#cgetnotesbytask) | **GET** /tasks/{task}/notes | Retrieve all Note resources.
*ReportApi* | [**cgetOperationsByReport**](docs//ReportApi.md#cgetoperationsbyreport) | **GET** /reports/{report}/operations | Retrieve all Operation resources.
*ReportApi* | [**getReport**](docs//ReportApi.md#getreport) | **GET** /reports/{report} | Retrieve one Report resource.
*ReportApi* | [**getTrackingByReport**](docs//ReportApi.md#gettrackingbyreport) | **GET** /reports/{report}/tracking | Retrieve one Tracking resource.
*ReportApi* | [**patchReport**](docs//ReportApi.md#patchreport) | **PATCH** /reports/{report} | Edit one Report resource.
*ReportApi* | [**postDocumentByReport**](docs//ReportApi.md#postdocumentbyreport) | **POST** /reports/{report}/documents | Create one Document resource.
*ReportApi* | [**postWorkflowByReport**](docs//ReportApi.md#postworkflowbyreport) | **POST** /reports/{report}/workflow | Create one Workflow resource.
*ReviewApi* | [**getReview**](docs//ReviewApi.md#getreview) | **GET** /reviews/{review} | Retrieve one Review resource.
*ReviewApi* | [**postReview**](docs//ReviewApi.md#postreview) | **POST** /reviews | Create one Review resource.
*ReviewRequestApi* | [**getReviewRequest**](docs//ReviewRequestApi.md#getreviewrequest) | **GET** /review-requests/{reviewRequest} | Retrieve one ReviewRequest resource.
*RoleApi* | [**getRole**](docs//RoleApi.md#getrole) | **GET** /roles/{role} | Retrieve one Role resource.
*RuleApi* | [**deleteRule**](docs//RuleApi.md#deleterule) | **DELETE** /rules/{rule} | Remove one Rule resource.
*RuleApi* | [**getRule**](docs//RuleApi.md#getrule) | **GET** /rules/{rule} | Retrieve one Rule resource.
*RuleApi* | [**patchRule**](docs//RuleApi.md#patchrule) | **PATCH** /rules/{rule} | Edit one Rule resource.
*RuleApi* | [**postRule**](docs//RuleApi.md#postrule) | **POST** /rules | Create one Rule resource.
*SectionApi* | [**getSection**](docs//SectionApi.md#getsection) | **GET** /sections/{section} | Retrieve one Section resource.
*SecurityApi* | [**postLogin**](docs//SecurityApi.md#postlogin) | **POST** /security/login | Create one Login resource.
*SecurityApi* | [**postPasswordChangeByToken**](docs//SecurityApi.md#postpasswordchangebytoken) | **POST** /security/password/change/{token} | Create one PasswordChange resource.
*SecurityApi* | [**postPasswordReset**](docs//SecurityApi.md#postpasswordreset) | **POST** /security/password/change-request | Create one PasswordReset resource.
*SecurityApi* | [**postRegister**](docs//SecurityApi.md#postregister) | **POST** /security/register | Create one Register resource.
*ServiceApi* | [**getService**](docs//ServiceApi.md#getservice) | **GET** /services/{service} | Retrieve one Service resource.
*SignerApi* | [**deleteSigner**](docs//SignerApi.md#deletesigner) | **DELETE** /signers/{signer} | Remove one Signer resource.
*SignerApi* | [**getSigner**](docs//SignerApi.md#getsigner) | **GET** /signers/{signer} | Retrieve one Signer resource.
*SignerApi* | [**postSignBySigner**](docs//SignerApi.md#postsignbysigner) | **POST** /signers/{signer}/sign | Create one Sign resource.
*SignerApi* | [**postSigner**](docs//SignerApi.md#postsigner) | **POST** /signers | Create one Signer resource.
*TemplateApi* | [**deleteTemplate**](docs//TemplateApi.md#deletetemplate) | **DELETE** /templates/{template} | Remove one Template resource.
*TemplateApi* | [**getTemplate**](docs//TemplateApi.md#gettemplate) | **GET** /templates/{template} | Retrieve one Template resource.
*TemplateApi* | [**patchTemplate**](docs//TemplateApi.md#patchtemplate) | **PATCH** /templates/{template} | Edit one Template resource.
*TemplateApi* | [**postTemplate**](docs//TemplateApi.md#posttemplate) | **POST** /templates | Create one Template resource.
*WebhookApi* | [**postIncoming**](docs//WebhookApi.md#postincoming) | **POST** /webhooks/incoming | Create one Incoming resource.
*WorkflowApi* | [**getWorkflow**](docs//WorkflowApi.md#getworkflow) | **GET** /workflows/{workflow} | Retrieve one Workflow resource.


## Documentation For Models

 - [Activity](docs//Activity.md)
 - [ActivityAggregatedPagination](docs//ActivityAggregatedPagination.md)
 - [ActivityEntity](docs//ActivityEntity.md)
 - [ActivityGroup](docs//ActivityGroup.md)
 - [ActivityPagination](docs//ActivityPagination.md)
 - [AgreementOlderThan](docs//AgreementOlderThan.md)
 - [AgreementPrivacyPolicy](docs//AgreementPrivacyPolicy.md)
 - [AgreementTermsOfService](docs//AgreementTermsOfService.md)
 - [Application](docs//Application.md)
 - [ApplicationAbout](docs//ApplicationAbout.md)
 - [ApplicationAgreement](docs//ApplicationAgreement.md)
 - [ApplicationConfiguration](docs//ApplicationConfiguration.md)
 - [ApplicationContactPoint](docs//ApplicationContactPoint.md)
 - [ApplicationLinks](docs//ApplicationLinks.md)
 - [ApplicationLinksKnowledgeBase](docs//ApplicationLinksKnowledgeBase.md)
 - [ApplicationLinksKnowledgeBaseIriTemplate](docs//ApplicationLinksKnowledgeBaseIriTemplate.md)
 - [ApplicationLinksKnowledgeBaseIriTemplateMapping](docs//ApplicationLinksKnowledgeBaseIriTemplateMapping.md)
 - [ApplicationLinksSelf](docs//ApplicationLinksSelf.md)
 - [ApplicationLinksSelfIriTemplate](docs//ApplicationLinksSelfIriTemplate.md)
 - [ApplicationLinksSelfIriTemplateMapping](docs//ApplicationLinksSelfIriTemplateMapping.md)
 - [Article](docs//Article.md)
 - [ArticleCollection](docs//ArticleCollection.md)
 - [ArticleLinks](docs//ArticleLinks.md)
 - [ArticleLinksSection](docs//ArticleLinksSection.md)
 - [ArticleLinksSectionIriTemplate](docs//ArticleLinksSectionIriTemplate.md)
 - [ArticleLinksSectionIriTemplateMapping](docs//ArticleLinksSectionIriTemplateMapping.md)
 - [ArticleLinksSelf](docs//ArticleLinksSelf.md)
 - [ArticleLinksSelfIriTemplate](docs//ArticleLinksSelfIriTemplate.md)
 - [ArticleLinksSelfIriTemplateMapping](docs//ArticleLinksSelfIriTemplateMapping.md)
 - [AssignData](docs//AssignData.md)
 - [Assignment](docs//Assignment.md)
 - [AssignmentCollection](docs//AssignmentCollection.md)
 - [AssignmentData](docs//AssignmentData.md)
 - [AssignmentEmbedded](docs//AssignmentEmbedded.md)
 - [AssignmentLinks](docs//AssignmentLinks.md)
 - [AssignmentLinksMember](docs//AssignmentLinksMember.md)
 - [AssignmentLinksMemberIriTemplate](docs//AssignmentLinksMemberIriTemplate.md)
 - [AssignmentLinksMemberIriTemplateMapping](docs//AssignmentLinksMemberIriTemplateMapping.md)
 - [AssignmentLinksReport](docs//AssignmentLinksReport.md)
 - [AssignmentLinksReportIriTemplate](docs//AssignmentLinksReportIriTemplate.md)
 - [AssignmentLinksReportIriTemplateMapping](docs//AssignmentLinksReportIriTemplateMapping.md)
 - [AssignmentLinksSelf](docs//AssignmentLinksSelf.md)
 - [AssignmentLinksSelfIriTemplate](docs//AssignmentLinksSelfIriTemplate.md)
 - [AssignmentLinksSelfIriTemplateMapping](docs//AssignmentLinksSelfIriTemplateMapping.md)
 - [AssignmentLinksService](docs//AssignmentLinksService.md)
 - [AssignmentLinksServiceIriTemplate](docs//AssignmentLinksServiceIriTemplate.md)
 - [AssignmentLinksServiceIriTemplateMapping](docs//AssignmentLinksServiceIriTemplateMapping.md)
 - [Binary](docs//Binary.md)
 - [BinaryCollection](docs//BinaryCollection.md)
 - [Bookmark](docs//Bookmark.md)
 - [BookmarkCollection](docs//BookmarkCollection.md)
 - [BookmarkData](docs//BookmarkData.md)
 - [BookmarkEmbedded](docs//BookmarkEmbedded.md)
 - [BookmarkLinks](docs//BookmarkLinks.md)
 - [BookmarkLinksMember](docs//BookmarkLinksMember.md)
 - [BookmarkLinksMemberIriTemplate](docs//BookmarkLinksMemberIriTemplate.md)
 - [BookmarkLinksPlace](docs//BookmarkLinksPlace.md)
 - [BookmarkLinksPlaceIriTemplate](docs//BookmarkLinksPlaceIriTemplate.md)
 - [BookmarkLinksPlaceIriTemplateMapping](docs//BookmarkLinksPlaceIriTemplateMapping.md)
 - [BookmarkLinksSelf](docs//BookmarkLinksSelf.md)
 - [BookmarkLinksSelfIriTemplate](docs//BookmarkLinksSelfIriTemplate.md)
 - [BookmarkLinksSelfIriTemplateMapping](docs//BookmarkLinksSelfIriTemplateMapping.md)
 - [BusinessActivity](docs//BusinessActivity.md)
 - [BusinessActivityCollection](docs//BusinessActivityCollection.md)
 - [BusinessActivityLinks](docs//BusinessActivityLinks.md)
 - [BusinessActivityLinksImage](docs//BusinessActivityLinksImage.md)
 - [BusinessActivityLinksImageIriTemplate](docs//BusinessActivityLinksImageIriTemplate.md)
 - [BusinessActivityLinksImageIriTemplateMapping](docs//BusinessActivityLinksImageIriTemplateMapping.md)
 - [BusinessActivityLinksSchema](docs//BusinessActivityLinksSchema.md)
 - [BusinessActivityLinksSchemaIriTemplate](docs//BusinessActivityLinksSchemaIriTemplate.md)
 - [BusinessActivityLinksSelf](docs//BusinessActivityLinksSelf.md)
 - [BusinessActivityLinksSelfIriTemplate](docs//BusinessActivityLinksSelfIriTemplate.md)
 - [BusinessActivityLinksThumbnail](docs//BusinessActivityLinksThumbnail.md)
 - [BusinessActivityLinksThumbnailIriTemplate](docs//BusinessActivityLinksThumbnailIriTemplate.md)
 - [BusinessActivitySchema](docs//BusinessActivitySchema.md)
 - [Category](docs//Category.md)
 - [CategoryCollection](docs//CategoryCollection.md)
 - [CategoryData](docs//CategoryData.md)
 - [CategoryEmbedded](docs//CategoryEmbedded.md)
 - [CategoryLinks](docs//CategoryLinks.md)
 - [CategoryLinksOrganization](docs//CategoryLinksOrganization.md)
 - [CategoryLinksOrganizationIriTemplate](docs//CategoryLinksOrganizationIriTemplate.md)
 - [CategoryLinksOrganizationIriTemplateMapping](docs//CategoryLinksOrganizationIriTemplateMapping.md)
 - [CategoryLinksSelf](docs//CategoryLinksSelf.md)
 - [CategoryLinksSelfIriTemplate](docs//CategoryLinksSelfIriTemplate.md)
 - [CategoryLinksSelfIriTemplateMapping](docs//CategoryLinksSelfIriTemplateMapping.md)
 - [CategoryPatch](docs//CategoryPatch.md)
 - [Chart](docs//Chart.md)
 - [Checkpoint](docs//Checkpoint.md)
 - [CheckpointEmbedded](docs//CheckpointEmbedded.md)
 - [CheckpointLinks](docs//CheckpointLinks.md)
 - [CheckpointLinksOrganization](docs//CheckpointLinksOrganization.md)
 - [CheckpointLinksOrganizationIriTemplate](docs//CheckpointLinksOrganizationIriTemplate.md)
 - [CheckpointState](docs//CheckpointState.md)
 - [CommentData](docs//CommentData.md)
 - [ConditionListCondition](docs//ConditionListCondition.md)
 - [Configuration](docs//Configuration.md)
 - [ConfigurationLinks](docs//ConfigurationLinks.md)
 - [ConfigurationLinksSelf](docs//ConfigurationLinksSelf.md)
 - [ConfigurationLinksSelfIriTemplate](docs//ConfigurationLinksSelfIriTemplate.md)
 - [ConfigurationLinksSelfIriTemplateMapping](docs//ConfigurationLinksSelfIriTemplateMapping.md)
 - [ConfigurationMemberType](docs//ConfigurationMemberType.md)
 - [ConfigurationOperationType](docs//ConfigurationOperationType.md)
 - [ConfigurationPlaceType](docs//ConfigurationPlaceType.md)
 - [ConfigurationReportType](docs//ConfigurationReportType.md)
 - [Contribution](docs//Contribution.md)
 - [ContributionCollection](docs//ContributionCollection.md)
 - [ContributionData](docs//ContributionData.md)
 - [ContributionLinks](docs//ContributionLinks.md)
 - [ContributionLinksContributor](docs//ContributionLinksContributor.md)
 - [ContributionLinksContributorIriTemplate](docs//ContributionLinksContributorIriTemplate.md)
 - [ContributionLinksContributorIriTemplateMapping](docs//ContributionLinksContributorIriTemplateMapping.md)
 - [ContributionLinksFeedback](docs//ContributionLinksFeedback.md)
 - [ContributionLinksFeedbackIriTemplate](docs//ContributionLinksFeedbackIriTemplate.md)
 - [ContributionLinksFeedbackIriTemplateMapping](docs//ContributionLinksFeedbackIriTemplateMapping.md)
 - [Device](docs//Device.md)
 - [DeviceData](docs//DeviceData.md)
 - [DeviceLinks](docs//DeviceLinks.md)
 - [DeviceLinksPerson](docs//DeviceLinksPerson.md)
 - [DeviceLinksPersonIriTemplate](docs//DeviceLinksPersonIriTemplate.md)
 - [DeviceLinksSelf](docs//DeviceLinksSelf.md)
 - [DeviceLinksSelfIriTemplate](docs//DeviceLinksSelfIriTemplate.md)
 - [DeviceLinksSelfIriTemplateMapping](docs//DeviceLinksSelfIriTemplateMapping.md)
 - [Dispatcher](docs//Dispatcher.md)
 - [Document](docs//Document.md)
 - [DocumentCollection](docs//DocumentCollection.md)
 - [DocumentData](docs//DocumentData.md)
 - [DocumentDataFile](docs//DocumentDataFile.md)
 - [DocumentDataPermission](docs//DocumentDataPermission.md)
 - [DocumentEmbedded](docs//DocumentEmbedded.md)
 - [DocumentFile](docs//DocumentFile.md)
 - [DocumentLinks](docs//DocumentLinks.md)
 - [DocumentLinksCreatedBy](docs//DocumentLinksCreatedBy.md)
 - [DocumentLinksCreatedByIriTemplate](docs//DocumentLinksCreatedByIriTemplate.md)
 - [DocumentLinksFile](docs//DocumentLinksFile.md)
 - [DocumentLinksFileIriTemplate](docs//DocumentLinksFileIriTemplate.md)
 - [DocumentLinksFileIriTemplateMapping](docs//DocumentLinksFileIriTemplateMapping.md)
 - [DocumentLinksProcedure](docs//DocumentLinksProcedure.md)
 - [DocumentLinksProcedureIriTemplate](docs//DocumentLinksProcedureIriTemplate.md)
 - [DocumentLinksProcedureIriTemplateMapping](docs//DocumentLinksProcedureIriTemplateMapping.md)
 - [DocumentLinksSelf](docs//DocumentLinksSelf.md)
 - [DocumentLinksSelfIriTemplate](docs//DocumentLinksSelfIriTemplate.md)
 - [DocumentPatch](docs//DocumentPatch.md)
 - [DocumentPatchFile](docs//DocumentPatchFile.md)
 - [DocumentPatchPermission](docs//DocumentPatchPermission.md)
 - [DocumentPermission](docs//DocumentPermission.md)
 - [DocumentType](docs//DocumentType.md)
 - [DocumentWorkflowData](docs//DocumentWorkflowData.md)
 - [Duration](docs//Duration.md)
 - [ExportData](docs//ExportData.md)
 - [ExternalService](docs//ExternalService.md)
 - [ExternalServiceCollection](docs//ExternalServiceCollection.md)
 - [ExternalServiceContactPoint](docs//ExternalServiceContactPoint.md)
 - [ExternalServiceData](docs//ExternalServiceData.md)
 - [ExternalServiceEmbedded](docs//ExternalServiceEmbedded.md)
 - [ExternalServiceLinks](docs//ExternalServiceLinks.md)
 - [ExternalServiceLinksProvider](docs//ExternalServiceLinksProvider.md)
 - [ExternalServiceLinksProviderIriTemplate](docs//ExternalServiceLinksProviderIriTemplate.md)
 - [ExternalServiceLinksSelf](docs//ExternalServiceLinksSelf.md)
 - [ExternalServiceLinksSelfIriTemplate](docs//ExternalServiceLinksSelfIriTemplate.md)
 - [ExternalServiceLinksSelfIriTemplateMapping](docs//ExternalServiceLinksSelfIriTemplateMapping.md)
 - [ExternalServicePatch](docs//ExternalServicePatch.md)
 - [ExternalServicePatchAddress](docs//ExternalServicePatchAddress.md)
 - [ExternalServicePatchContactPoint](docs//ExternalServicePatchContactPoint.md)
 - [ExternalServicePostalAddress](docs//ExternalServicePostalAddress.md)
 - [Feature](docs//Feature.md)
 - [FeatureGeometry](docs//FeatureGeometry.md)
 - [Feedback](docs//Feedback.md)
 - [FeedbackCollection](docs//FeedbackCollection.md)
 - [FeedbackData](docs//FeedbackData.md)
 - [FeedbackDataGeo](docs//FeedbackDataGeo.md)
 - [FeedbackDataGeoPoint](docs//FeedbackDataGeoPoint.md)
 - [FeedbackEmbedded](docs//FeedbackEmbedded.md)
 - [FeedbackGeoCoordinates](docs//FeedbackGeoCoordinates.md)
 - [FeedbackLinks](docs//FeedbackLinks.md)
 - [FeedbackLinksBusinessActivity](docs//FeedbackLinksBusinessActivity.md)
 - [FeedbackLinksBusinessActivityIriTemplate](docs//FeedbackLinksBusinessActivityIriTemplate.md)
 - [FeedbackLinksCategory](docs//FeedbackLinksCategory.md)
 - [FeedbackLinksCategoryIriTemplate](docs//FeedbackLinksCategoryIriTemplate.md)
 - [FeedbackLinksImage](docs//FeedbackLinksImage.md)
 - [FeedbackLinksImageIriTemplate](docs//FeedbackLinksImageIriTemplate.md)
 - [FeedbackLinksImageIriTemplateMapping](docs//FeedbackLinksImageIriTemplateMapping.md)
 - [FeedbackLinksImages](docs//FeedbackLinksImages.md)
 - [FeedbackLinksImagesIriTemplate](docs//FeedbackLinksImagesIriTemplate.md)
 - [FeedbackLinksPlans](docs//FeedbackLinksPlans.md)
 - [FeedbackLinksPlansIriTemplate](docs//FeedbackLinksPlansIriTemplate.md)
 - [FeedbackLinksPlansIriTemplateMapping](docs//FeedbackLinksPlansIriTemplateMapping.md)
 - [FeedbackLinksReport](docs//FeedbackLinksReport.md)
 - [FeedbackLinksReportIriTemplate](docs//FeedbackLinksReportIriTemplate.md)
 - [FeedbackLinksReporter](docs//FeedbackLinksReporter.md)
 - [FeedbackLinksReporterIriTemplate](docs//FeedbackLinksReporterIriTemplate.md)
 - [FeedbackLinksSelf](docs//FeedbackLinksSelf.md)
 - [FeedbackLinksSelfIriTemplate](docs//FeedbackLinksSelfIriTemplate.md)
 - [FeedbackLinksTracking](docs//FeedbackLinksTracking.md)
 - [FeedbackLinksTrackingIriTemplate](docs//FeedbackLinksTrackingIriTemplate.md)
 - [FeedbackWorkflowTransitionData](docs//FeedbackWorkflowTransitionData.md)
 - [FileData](docs//FileData.md)
 - [GeoShape](docs//GeoShape.md)
 - [GeoShapeCentroid](docs//GeoShapeCentroid.md)
 - [ImageData](docs//ImageData.md)
 - [InternalService](docs//InternalService.md)
 - [InternalServiceCollection](docs//InternalServiceCollection.md)
 - [InternalServiceContactPoint](docs//InternalServiceContactPoint.md)
 - [InternalServiceData](docs//InternalServiceData.md)
 - [InternalServiceDataAddress](docs//InternalServiceDataAddress.md)
 - [InternalServiceDataContactPoint](docs//InternalServiceDataContactPoint.md)
 - [InternalServiceEmbedded](docs//InternalServiceEmbedded.md)
 - [InternalServiceLinks](docs//InternalServiceLinks.md)
 - [InternalServiceLinksOrganization](docs//InternalServiceLinksOrganization.md)
 - [InternalServiceLinksOrganizationIriTemplate](docs//InternalServiceLinksOrganizationIriTemplate.md)
 - [InternalServiceLinksSelf](docs//InternalServiceLinksSelf.md)
 - [InternalServiceLinksSelfIriTemplate](docs//InternalServiceLinksSelfIriTemplate.md)
 - [InternalServiceLinksSelfIriTemplateMapping](docs//InternalServiceLinksSelfIriTemplateMapping.md)
 - [InternalServicePatch](docs//InternalServicePatch.md)
 - [InternalServicePostalAddress](docs//InternalServicePostalAddress.md)
 - [Invitation](docs//Invitation.md)
 - [InvitationData](docs//InvitationData.md)
 - [InvitationEmbedded](docs//InvitationEmbedded.md)
 - [InvitationLinks](docs//InvitationLinks.md)
 - [InvitationLinksMember](docs//InvitationLinksMember.md)
 - [InvitationLinksMemberIriTemplate](docs//InvitationLinksMemberIriTemplate.md)
 - [InvitationLinksSelf](docs//InvitationLinksSelf.md)
 - [InvitationLinksSelfIriTemplate](docs//InvitationLinksSelfIriTemplate.md)
 - [InvitationLinksSelfIriTemplateMapping](docs//InvitationLinksSelfIriTemplateMapping.md)
 - [ItemsChoice](docs//ItemsChoice.md)
 - [KnowledgeBase](docs//KnowledgeBase.md)
 - [KnowledgeBaseLinks](docs//KnowledgeBaseLinks.md)
 - [KnowledgeBaseLinksSelf](docs//KnowledgeBaseLinksSelf.md)
 - [KnowledgeBaseLinksSelfIriTemplate](docs//KnowledgeBaseLinksSelfIriTemplate.md)
 - [LegacySignatureData](docs//LegacySignatureData.md)
 - [LegacySignatureDataSigner](docs//LegacySignatureDataSigner.md)
 - [LoginData](docs//LoginData.md)
 - [Marker](docs//Marker.md)
 - [MarkerData](docs//MarkerData.md)
 - [MarkerDataPoint](docs//MarkerDataPoint.md)
 - [MarkerLinks](docs//MarkerLinks.md)
 - [MarkerLinksPlan](docs//MarkerLinksPlan.md)
 - [MarkerLinksPlanIriTemplate](docs//MarkerLinksPlanIriTemplate.md)
 - [MarkerLinksPlanIriTemplateMapping](docs//MarkerLinksPlanIriTemplateMapping.md)
 - [MarkerLinksSelf](docs//MarkerLinksSelf.md)
 - [MarkerLinksSelfIriTemplate](docs//MarkerLinksSelfIriTemplate.md)
 - [MarkerLinksSelfIriTemplateMapping](docs//MarkerLinksSelfIriTemplateMapping.md)
 - [Member](docs//Member.md)
 - [MemberCollection](docs//MemberCollection.md)
 - [MemberContactPoint](docs//MemberContactPoint.md)
 - [MemberData](docs//MemberData.md)
 - [MemberEmbedded](docs//MemberEmbedded.md)
 - [MemberLinks](docs//MemberLinks.md)
 - [MemberLinksOrganization](docs//MemberLinksOrganization.md)
 - [MemberLinksOrganizationIriTemplate](docs//MemberLinksOrganizationIriTemplate.md)
 - [MemberLinksPerson](docs//MemberLinksPerson.md)
 - [MemberLinksPersonIriTemplate](docs//MemberLinksPersonIriTemplate.md)
 - [MemberLinksSelf](docs//MemberLinksSelf.md)
 - [MemberLinksSelfIriTemplate](docs//MemberLinksSelfIriTemplate.md)
 - [MemberPatch](docs//MemberPatch.md)
 - [MemberPatchContactPoint](docs//MemberPatchContactPoint.md)
 - [MemberTypeRole](docs//MemberTypeRole.md)
 - [MessageData](docs//MessageData.md)
 - [Metric](docs//Metric.md)
 - [ModelExport](docs//ModelExport.md)
 - [NodePath](docs//NodePath.md)
 - [Note](docs//Note.md)
 - [NoteCollection](docs//NoteCollection.md)
 - [NoteLinks](docs//NoteLinks.md)
 - [NoteLinksAbout](docs//NoteLinksAbout.md)
 - [NoteLinksAboutIriTemplate](docs//NoteLinksAboutIriTemplate.md)
 - [NoteLinksAuthor](docs//NoteLinksAuthor.md)
 - [NoteLinksAuthorIriTemplate](docs//NoteLinksAuthorIriTemplate.md)
 - [NoteLinksSelf](docs//NoteLinksSelf.md)
 - [NoteLinksSelfIriTemplate](docs//NoteLinksSelfIriTemplate.md)
 - [NoteLinksSelfIriTemplateMapping](docs//NoteLinksSelfIriTemplateMapping.md)
 - [NotePatch](docs//NotePatch.md)
 - [Occupant](docs//Occupant.md)
 - [OccupantCollection](docs//OccupantCollection.md)
 - [OccupantData](docs//OccupantData.md)
 - [OccupantLinks](docs//OccupantLinks.md)
 - [OccupantLinksMember](docs//OccupantLinksMember.md)
 - [OccupantLinksMemberIriTemplate](docs//OccupantLinksMemberIriTemplate.md)
 - [OccupantLinksPlace](docs//OccupantLinksPlace.md)
 - [OccupantLinksPlaceIriTemplate](docs//OccupantLinksPlaceIriTemplate.md)
 - [OccupantLinksSelf](docs//OccupantLinksSelf.md)
 - [OccupantLinksSelfIriTemplate](docs//OccupantLinksSelfIriTemplate.md)
 - [OccupantLinksSelfIriTemplateMapping](docs//OccupantLinksSelfIriTemplateMapping.md)
 - [Operation](docs//Operation.md)
 - [OperationCollection](docs//OperationCollection.md)
 - [OperationData](docs//OperationData.md)
 - [OperationEmbedded](docs//OperationEmbedded.md)
 - [OperationEmbeddedWorkflow](docs//OperationEmbeddedWorkflow.md)
 - [OperationLinks](docs//OperationLinks.md)
 - [OperationLinksAssignments](docs//OperationLinksAssignments.md)
 - [OperationLinksAssignmentsIriTemplate](docs//OperationLinksAssignmentsIriTemplate.md)
 - [OperationLinksAssignmentsIriTemplateMapping](docs//OperationLinksAssignmentsIriTemplateMapping.md)
 - [OperationLinksFeedback](docs//OperationLinksFeedback.md)
 - [OperationLinksFeedbackIriTemplate](docs//OperationLinksFeedbackIriTemplate.md)
 - [OperationLinksImage](docs//OperationLinksImage.md)
 - [OperationLinksImageIriTemplate](docs//OperationLinksImageIriTemplate.md)
 - [OperationLinksImageIriTemplateMapping](docs//OperationLinksImageIriTemplateMapping.md)
 - [OperationLinksImages](docs//OperationLinksImages.md)
 - [OperationLinksImagesIriTemplate](docs//OperationLinksImagesIriTemplate.md)
 - [OperationLinksImagesIriTemplateMapping](docs//OperationLinksImagesIriTemplateMapping.md)
 - [OperationLinksOperator](docs//OperationLinksOperator.md)
 - [OperationLinksOperatorIriTemplate](docs//OperationLinksOperatorIriTemplate.md)
 - [OperationLinksOrganization](docs//OperationLinksOrganization.md)
 - [OperationLinksOrganizationIriTemplate](docs//OperationLinksOrganizationIriTemplate.md)
 - [OperationLinksReport](docs//OperationLinksReport.md)
 - [OperationLinksReportIriTemplate](docs//OperationLinksReportIriTemplate.md)
 - [OperationLinksSelf](docs//OperationLinksSelf.md)
 - [OperationLinksSelfIriTemplate](docs//OperationLinksSelfIriTemplate.md)
 - [OperationLinksTracking](docs//OperationLinksTracking.md)
 - [OperationLinksTrackingIriTemplate](docs//OperationLinksTrackingIriTemplate.md)
 - [OperationPriority](docs//OperationPriority.md)
 - [OperationSignature](docs//OperationSignature.md)
 - [OperationTypeWorkflow](docs//OperationTypeWorkflow.md)
 - [Organization](docs//Organization.md)
 - [OrganizationCollection](docs//OrganizationCollection.md)
 - [OrganizationLinks](docs//OrganizationLinks.md)
 - [OrganizationLinksApplication](docs//OrganizationLinksApplication.md)
 - [OrganizationLinksApplicationIriTemplate](docs//OrganizationLinksApplicationIriTemplate.md)
 - [OrganizationLinksBusinessActivity](docs//OrganizationLinksBusinessActivity.md)
 - [OrganizationLinksBusinessActivityIriTemplate](docs//OrganizationLinksBusinessActivityIriTemplate.md)
 - [OrganizationLinksConfiguration](docs//OrganizationLinksConfiguration.md)
 - [OrganizationLinksConfigurationIriTemplate](docs//OrganizationLinksConfigurationIriTemplate.md)
 - [OrganizationLinksDispatcher](docs//OrganizationLinksDispatcher.md)
 - [OrganizationLinksDispatcherIriTemplate](docs//OrganizationLinksDispatcherIriTemplate.md)
 - [OrganizationLinksDispatcherIriTemplateMapping](docs//OrganizationLinksDispatcherIriTemplateMapping.md)
 - [OrganizationLinksLogo](docs//OrganizationLinksLogo.md)
 - [OrganizationLinksLogoIriTemplate](docs//OrganizationLinksLogoIriTemplate.md)
 - [OrganizationLinksSelf](docs//OrganizationLinksSelf.md)
 - [OrganizationLinksSelfIriTemplate](docs//OrganizationLinksSelfIriTemplate.md)
 - [OrganizationPatch](docs//OrganizationPatch.md)
 - [OrganizationPatchPreferences](docs//OrganizationPatchPreferences.md)
 - [OrganizationPatchPreferencesReference](docs//OrganizationPatchPreferencesReference.md)
 - [OrganizationPostalAddress](docs//OrganizationPostalAddress.md)
 - [OrganizationPreferences](docs//OrganizationPreferences.md)
 - [Pagination](docs//Pagination.md)
 - [PaginationLink](docs//PaginationLink.md)
 - [PaginationLinks](docs//PaginationLinks.md)
 - [PasswordChangeData](docs//PasswordChangeData.md)
 - [Permission](docs//Permission.md)
 - [Person](docs//Person.md)
 - [PersonAgreement](docs//PersonAgreement.md)
 - [PersonLinks](docs//PersonLinks.md)
 - [PersonLinksImage](docs//PersonLinksImage.md)
 - [PersonLinksImageIriTemplate](docs//PersonLinksImageIriTemplate.md)
 - [PersonLinksSelf](docs//PersonLinksSelf.md)
 - [PersonLinksSelfIriTemplate](docs//PersonLinksSelfIriTemplate.md)
 - [PersonPatch](docs//PersonPatch.md)
 - [PersonPatchAgreement](docs//PersonPatchAgreement.md)
 - [PersonPatchPreferences](docs//PersonPatchPreferences.md)
 - [PersonPatchPreferencesNotification](docs//PersonPatchPreferencesNotification.md)
 - [PersonPreferences](docs//PersonPreferences.md)
 - [Place](docs//Place.md)
 - [PlaceCollection](docs//PlaceCollection.md)
 - [PlaceData](docs//PlaceData.md)
 - [PlaceEmbedded](docs//PlaceEmbedded.md)
 - [PlaceEmbeddedTargetGroups](docs//PlaceEmbeddedTargetGroups.md)
 - [PlaceLinks](docs//PlaceLinks.md)
 - [PlaceLinksChildren](docs//PlaceLinksChildren.md)
 - [PlaceLinksChildrenIriTemplate](docs//PlaceLinksChildrenIriTemplate.md)
 - [PlaceLinksChildrenIriTemplateMapping](docs//PlaceLinksChildrenIriTemplateMapping.md)
 - [PlaceLinksGeo](docs//PlaceLinksGeo.md)
 - [PlaceLinksGeoIriTemplate](docs//PlaceLinksGeoIriTemplate.md)
 - [PlaceLinksOrganization](docs//PlaceLinksOrganization.md)
 - [PlaceLinksOrganizationIriTemplate](docs//PlaceLinksOrganizationIriTemplate.md)
 - [PlaceLinksPlans](docs//PlaceLinksPlans.md)
 - [PlaceLinksPlansIriTemplate](docs//PlaceLinksPlansIriTemplate.md)
 - [PlaceLinksSelf](docs//PlaceLinksSelf.md)
 - [PlaceLinksSelfIriTemplate](docs//PlaceLinksSelfIriTemplate.md)
 - [PlacePatch](docs//PlacePatch.md)
 - [PlacePostalAddress](docs//PlacePostalAddress.md)
 - [PlacePreferences](docs//PlacePreferences.md)
 - [PlaceTypeWorkflow](docs//PlaceTypeWorkflow.md)
 - [Plan](docs//Plan.md)
 - [PlanCollection](docs//PlanCollection.md)
 - [PlanData](docs//PlanData.md)
 - [PlanLinks](docs//PlanLinks.md)
 - [PlanLinksImage](docs//PlanLinksImage.md)
 - [PlanLinksImageIriTemplate](docs//PlanLinksImageIriTemplate.md)
 - [PlanLinksPlace](docs//PlanLinksPlace.md)
 - [PlanLinksPlaceIriTemplate](docs//PlanLinksPlaceIriTemplate.md)
 - [PlanLinksSelf](docs//PlanLinksSelf.md)
 - [PlanLinksSelfIriTemplate](docs//PlanLinksSelfIriTemplate.md)
 - [PlanPatch](docs//PlanPatch.md)
 - [Point](docs//Point.md)
 - [Polygon](docs//Polygon.md)
 - [PreferencesElectronicSignature](docs//PreferencesElectronicSignature.md)
 - [PreferencesForm](docs//PreferencesForm.md)
 - [PreferencesNotification](docs//PreferencesNotification.md)
 - [PreferencesReference](docs//PreferencesReference.md)
 - [Problem](docs//Problem.md)
 - [ProblemEmbedded](docs//ProblemEmbedded.md)
 - [Procedure](docs//Procedure.md)
 - [ProcedureData](docs//ProcedureData.md)
 - [ProcedureEmbedded](docs//ProcedureEmbedded.md)
 - [ProcedureLinks](docs//ProcedureLinks.md)
 - [ProcedureLinksDocument](docs//ProcedureLinksDocument.md)
 - [ProcedureLinksDocumentIriTemplate](docs//ProcedureLinksDocumentIriTemplate.md)
 - [ProcedureLinksSelf](docs//ProcedureLinksSelf.md)
 - [ProcedureLinksSelfIriTemplate](docs//ProcedureLinksSelfIriTemplate.md)
 - [ProcedureWorkflowData](docs//ProcedureWorkflowData.md)
 - [PropertyConditionList](docs//PropertyConditionList.md)
 - [PropertyItems](docs//PropertyItems.md)
 - [Publication](docs//Publication.md)
 - [PublicationCollection](docs//PublicationCollection.md)
 - [PublicationData](docs//PublicationData.md)
 - [PublicationEmbedded](docs//PublicationEmbedded.md)
 - [PublicationLinks](docs//PublicationLinks.md)
 - [PublicationLinksAuthor](docs//PublicationLinksAuthor.md)
 - [PublicationLinksAuthorIriTemplate](docs//PublicationLinksAuthorIriTemplate.md)
 - [PublicationLinksFeed](docs//PublicationLinksFeed.md)
 - [PublicationLinksFeedIriTemplate](docs//PublicationLinksFeedIriTemplate.md)
 - [PublicationLinksOrganization](docs//PublicationLinksOrganization.md)
 - [PublicationLinksOrganizationIriTemplate](docs//PublicationLinksOrganizationIriTemplate.md)
 - [PublicationLinksSelf](docs//PublicationLinksSelf.md)
 - [PublicationLinksSelfIriTemplate](docs//PublicationLinksSelfIriTemplate.md)
 - [PublicationLinksSelfIriTemplateMapping](docs//PublicationLinksSelfIriTemplateMapping.md)
 - [RegisterData](docs//RegisterData.md)
 - [RegisterDataAgreement](docs//RegisterDataAgreement.md)
 - [Report](docs//Report.md)
 - [ReportCollection](docs//ReportCollection.md)
 - [ReportEmbedded](docs//ReportEmbedded.md)
 - [ReportLinks](docs//ReportLinks.md)
 - [ReportLinksCategory](docs//ReportLinksCategory.md)
 - [ReportLinksCategoryIriTemplate](docs//ReportLinksCategoryIriTemplate.md)
 - [ReportLinksChildren](docs//ReportLinksChildren.md)
 - [ReportLinksChildrenIriTemplate](docs//ReportLinksChildrenIriTemplate.md)
 - [ReportLinksChildrenIriTemplateMapping](docs//ReportLinksChildrenIriTemplateMapping.md)
 - [ReportLinksFeedback](docs//ReportLinksFeedback.md)
 - [ReportLinksFeedbackIriTemplate](docs//ReportLinksFeedbackIriTemplate.md)
 - [ReportLinksOperations](docs//ReportLinksOperations.md)
 - [ReportLinksOperationsIriTemplate](docs//ReportLinksOperationsIriTemplate.md)
 - [ReportLinksOrganization](docs//ReportLinksOrganization.md)
 - [ReportLinksOrganizationIriTemplate](docs//ReportLinksOrganizationIriTemplate.md)
 - [ReportLinksPlace](docs//ReportLinksPlace.md)
 - [ReportLinksPlaceIriTemplate](docs//ReportLinksPlaceIriTemplate.md)
 - [ReportLinksSelf](docs//ReportLinksSelf.md)
 - [ReportLinksSelfIriTemplate](docs//ReportLinksSelfIriTemplate.md)
 - [ReportLinksTracking](docs//ReportLinksTracking.md)
 - [ReportLinksTrackingIriTemplate](docs//ReportLinksTrackingIriTemplate.md)
 - [ReportPriority](docs//ReportPriority.md)
 - [ReportTypePriority](docs//ReportTypePriority.md)
 - [ReportTypeWorkflow](docs//ReportTypeWorkflow.md)
 - [ResetPasswordData](docs//ResetPasswordData.md)
 - [Review](docs//Review.md)
 - [ReviewCollection](docs//ReviewCollection.md)
 - [ReviewData](docs//ReviewData.md)
 - [ReviewLinks](docs//ReviewLinks.md)
 - [ReviewLinksAuthor](docs//ReviewLinksAuthor.md)
 - [ReviewLinksAuthorIriTemplate](docs//ReviewLinksAuthorIriTemplate.md)
 - [ReviewLinksItemReviewed](docs//ReviewLinksItemReviewed.md)
 - [ReviewLinksItemReviewedIriTemplate](docs//ReviewLinksItemReviewedIriTemplate.md)
 - [ReviewLinksSelf](docs//ReviewLinksSelf.md)
 - [ReviewLinksSelfIriTemplate](docs//ReviewLinksSelfIriTemplate.md)
 - [ReviewLinksSelfIriTemplateMapping](docs//ReviewLinksSelfIriTemplateMapping.md)
 - [ReviewRequest](docs//ReviewRequest.md)
 - [ReviewRequestCollection](docs//ReviewRequestCollection.md)
 - [ReviewRequestEmbedded](docs//ReviewRequestEmbedded.md)
 - [ReviewRequestLinks](docs//ReviewRequestLinks.md)
 - [ReviewRequestLinksItemToReview](docs//ReviewRequestLinksItemToReview.md)
 - [ReviewRequestLinksItemToReviewIriTemplate](docs//ReviewRequestLinksItemToReviewIriTemplate.md)
 - [ReviewRequestLinksItemToReviewIriTemplateMapping](docs//ReviewRequestLinksItemToReviewIriTemplateMapping.md)
 - [ReviewRequestLinksOrganization](docs//ReviewRequestLinksOrganization.md)
 - [ReviewRequestLinksOrganizationIriTemplate](docs//ReviewRequestLinksOrganizationIriTemplate.md)
 - [ReviewRequestLinksReview](docs//ReviewRequestLinksReview.md)
 - [ReviewRequestLinksReviewIriTemplate](docs//ReviewRequestLinksReviewIriTemplate.md)
 - [ReviewRequestLinksReviewer](docs//ReviewRequestLinksReviewer.md)
 - [ReviewRequestLinksReviewerIriTemplate](docs//ReviewRequestLinksReviewerIriTemplate.md)
 - [ReviewRequestLinksSelf](docs//ReviewRequestLinksSelf.md)
 - [ReviewRequestLinksSelfIriTemplate](docs//ReviewRequestLinksSelfIriTemplate.md)
 - [ReviewRequestLinksSelfIriTemplateMapping](docs//ReviewRequestLinksSelfIriTemplateMapping.md)
 - [Role](docs//Role.md)
 - [Rule](docs//Rule.md)
 - [RuleCollection](docs//RuleCollection.md)
 - [RuleData](docs//RuleData.md)
 - [RuleEmbedded](docs//RuleEmbedded.md)
 - [RuleLinks](docs//RuleLinks.md)
 - [RuleLinksSelf](docs//RuleLinksSelf.md)
 - [RuleLinksSelfIriTemplate](docs//RuleLinksSelfIriTemplate.md)
 - [RuleLinksSelfIriTemplateMapping](docs//RuleLinksSelfIriTemplateMapping.md)
 - [RulePatch](docs//RulePatch.md)
 - [Run](docs//Run.md)
 - [RunData](docs//RunData.md)
 - [Schema](docs//Schema.md)
 - [SchemaProperty](docs//SchemaProperty.md)
 - [Section](docs//Section.md)
 - [SectionCollection](docs//SectionCollection.md)
 - [SectionLinks](docs//SectionLinks.md)
 - [SectionLinksSelf](docs//SectionLinksSelf.md)
 - [SectionLinksSelfIriTemplate](docs//SectionLinksSelfIriTemplate.md)
 - [Service](docs//Service.md)
 - [ServiceCollection](docs//ServiceCollection.md)
 - [ServiceContactPoint](docs//ServiceContactPoint.md)
 - [ServiceMemberData](docs//ServiceMemberData.md)
 - [ServicePostalAddress](docs//ServicePostalAddress.md)
 - [SignatureData](docs//SignatureData.md)
 - [SignatureSigner](docs//SignatureSigner.md)
 - [Signer](docs//Signer.md)
 - [SignerCollection](docs//SignerCollection.md)
 - [SignerData](docs//SignerData.md)
 - [SignerLinks](docs//SignerLinks.md)
 - [SignerLinksProcedure](docs//SignerLinksProcedure.md)
 - [SignerLinksProcedureIriTemplate](docs//SignerLinksProcedureIriTemplate.md)
 - [SignerLinksSelf](docs//SignerLinksSelf.md)
 - [SignerLinksSelfIriTemplate](docs//SignerLinksSelfIriTemplate.md)
 - [SignerLinksSelfIriTemplateMapping](docs//SignerLinksSelfIriTemplateMapping.md)
 - [SignerSignature](docs//SignerSignature.md)
 - [State](docs//State.md)
 - [SuccessLogin](docs//SuccessLogin.md)
 - [SuccessLoginCredentials](docs//SuccessLoginCredentials.md)
 - [TaskPatch](docs//TaskPatch.md)
 - [Template](docs//Template.md)
 - [TemplateCollection](docs//TemplateCollection.md)
 - [TemplateData](docs//TemplateData.md)
 - [TemplatePatch](docs//TemplatePatch.md)
 - [Tracking](docs//Tracking.md)
 - [TrackingCheckpoint](docs//TrackingCheckpoint.md)
 - [TrackingProgression](docs//TrackingProgression.md)
 - [TransitionState](docs//TransitionState.md)
 - [Workflow](docs//Workflow.md)
 - [WorkflowData](docs//WorkflowData.md)
 - [WorkflowLinks](docs//WorkflowLinks.md)
 - [WorkflowLinksSelf](docs//WorkflowLinksSelf.md)
 - [WorkflowLinksSelfIriTemplate](docs//WorkflowLinksSelfIriTemplate.md)
 - [WorkflowLinksSelfIriTemplateMapping](docs//WorkflowLinksSelfIriTemplateMapping.md)
 - [WorkflowState](docs//WorkflowState.md)
 - [WorkflowTransition](docs//WorkflowTransition.md)
 - [ArticlePagination](docs//ArticlePagination.md)
 - [AssignmentPagination](docs//AssignmentPagination.md)
 - [BinaryPagination](docs//BinaryPagination.md)
 - [BookmarkPagination](docs//BookmarkPagination.md)
 - [BusinessActivityPagination](docs//BusinessActivityPagination.md)
 - [CategoryPagination](docs//CategoryPagination.md)
 - [ContributionPagination](docs//ContributionPagination.md)
 - [DocumentPagination](docs//DocumentPagination.md)
 - [ExternalServicePagination](docs//ExternalServicePagination.md)
 - [FeedbackPagination](docs//FeedbackPagination.md)
 - [InternalServicePagination](docs//InternalServicePagination.md)
 - [MemberPagination](docs//MemberPagination.md)
 - [NotePagination](docs//NotePagination.md)
 - [OccupantPagination](docs//OccupantPagination.md)
 - [OperationPagination](docs//OperationPagination.md)
 - [OrganizationPagination](docs//OrganizationPagination.md)
 - [PlacePagination](docs//PlacePagination.md)
 - [PlanPagination](docs//PlanPagination.md)
 - [PublicationPagination](docs//PublicationPagination.md)
 - [ReportPagination](docs//ReportPagination.md)
 - [ReviewPagination](docs//ReviewPagination.md)
 - [ReviewRequestPagination](docs//ReviewRequestPagination.md)
 - [RulePagination](docs//RulePagination.md)
 - [SectionPagination](docs//SectionPagination.md)
 - [ServicePagination](docs//ServicePagination.md)
 - [SignerPagination](docs//SignerPagination.md)
 - [TemplatePagination](docs//TemplatePagination.md)


## Documentation For Authorization


## bearer

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

techies@keyclic.com


